> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.medicomp.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.medicomp.com/_mcp/server.

# Status

GET https://quippe.medicomp.com/api/Quippe/Enum/Status

Retrieves the supported values in an enumeration list.

Reference: https://docs.medicomp.com/api-reference/rest/get-quippe-enum-status

## Authentication

- `Authorization` header (basic auth, required) — Login and password used to access quippe.medicomp.com. On-premise Quippe deployments can be configured to use whatever authentication and authorization your application is configured for, so basic authentication is used here to access the Quippe sandbox and is not a product requirement.
- `Authorization` header (bearer token, required) — JSON web token generated by a request to the [/Quippe/Security/Token](/api-reference/rest/get-quippe-security-token) web service endpoint in Quippe.

## Request

### Query parameters

- `Capitalization` (enum, optional) — The capitalization method, if any, that should be used to format the enum name.
  - Allowed values: `None`, `Upper`, `Lower`, `Sentence`, `Title`, `CamelLower`, `CamelUpper`
- `OrderBy` (enum, optional) — The enum field, if any, that should be used to sort the results.
  - Allowed values: `None`, `Code`, `Description`
- `DataFormat` (enum, optional) — Specifies how objects are encoded in the output
  - Allowed values: `Default`, `XML`, `JSON`, `JSF`
- `RequestId` (string, optional) — Optional value that can be used by clients to track multiple requests.
- `Culture` (string, optional) — Culture to use when handling the request. If not specified the default value configured on the server will be used.

## Response

### 200

Successful response

- `enum` (object, optional)
  - `item` (list of object, optional)
    - `code` (string, required) — Code for the enum value that should be used to refer to the enum value in other parts of Quippe.
    - `description` (string, optional) — Description of the enum value
    - `displayOrder` (integer, optional) — Order that this enum value should be displayed in a list.
    - `flags` (integer, optional) — Flags associated with this enum value. For Prefix and Status enum values, this will contain a bitmask of the MEDCIN term types that the prefix or status can be used with. For example, the ordered prefix can be used with test (term type = 3) and therapy (term type = 7) terms, so the flags will be 136 (bit indices 3 and 7 set).
  - `name` (string, optional) — Name of the enum list.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "enum": {
    "item": [
      {
        "code": "Active",
        "description": "Indicates the item is currently active and in use",
        "displayOrder": 1,
        "flags": 3
      },
      {
        "code": "Inactive",
        "description": "Indicates the item is no longer active or valid",
        "displayOrder": 2,
        "flags": 0
      },
      {
        "code": "Pending",
        "description": "Indicates the item is awaiting approval or processing",
        "displayOrder": 3,
        "flags": 1
      }
    ],
    "name": "Status"
  }
}
```

**SDK Code**

```python
import requests

url = "https://quippe.medicomp.com/api/Quippe/Enum/Status"

payload = {}
headers = {
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://quippe.medicomp.com/api/Quippe/Enum/Status';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://quippe.medicomp.com/api/Quippe/Enum/Status"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://quippe.medicomp.com/api/Quippe/Enum/Status")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://quippe.medicomp.com/api/Quippe/Enum/Status")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://quippe.medicomp.com/api/Quippe/Enum/Status', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://quippe.medicomp.com/api/Quippe/Enum/Status");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://quippe.medicomp.com/api/Quippe/Enum/Status")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```